org.springframework.cloud.dataflow.server.db.migration

## Class AbstractInitialSetupMigration

- java.lang.Object
- - org.flywaydb.core.api.migration.BaseJavaMigration
  - - org.springframework.cloud.dataflow.common.flyway.AbstractMigration
    - - org.springframework.cloud.dataflow.server.db.migration.AbstractInitialSetupMigration

- All Implemented Interfaces:
    org.flywaydb.core.api.migration.JavaMigration
  Direct Known Subclasses:
    V1__Initial_Setup, V1__Initial_Setup, V1__Initial_Setup, V1__Initial_Setup, V1__Initial_Setup

      public abstract class AbstractInitialSetupMigration
      extends org.springframework.cloud.dataflow.common.flyway.AbstractMigration

  Base implementation for initial schema setup.
  Author:
    Janne Valkealahti

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInitialSetupMigration(List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> commands)` Instantiates a new abstract initial setup migration.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createAppRegistrationTable()` Creates the app registration table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createAuditRecordsTable()` Creates the audit records table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createBatchTables()` Creates the batch tables.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createHibernateSequence()` Creates the hibernate sequence.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createStreamDefinitionsTable()` Creates the stream definitions table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskDefinitionsTable()` Creates the task definitions table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskDeploymentTable()` Creates the task deployment table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskTables()` Creates the task tables.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `getCommands()`

    - ### Methods inherited from class org.springframework.cloud.dataflow.common.flyway.AbstractMigration

      `migrate`

    - ### Methods inherited from class org.flywaydb.core.api.migration.BaseJavaMigration

      `canExecuteInTransaction, getChecksum, getDescription, getVersion, isUndo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractInitialSetupMigration

          public AbstractInitialSetupMigration(List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> commands)

      Instantiates a new abstract initial setup migration.
      Parameters:
        `commands` - the default commands

  - ### Method Detail

    - #### getCommands

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> getCommands()

      Overrides:
        `getCommands` in class `org.springframework.cloud.dataflow.common.flyway.AbstractMigration`

    - #### createHibernateSequence

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createHibernateSequence()

      Creates the hibernate sequence.
      Returns:
        the sql command

    - #### createAppRegistrationTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createAppRegistrationTable()

      Creates the app registration table.
      Returns:
        the list of sql commands

    - #### createTaskDeploymentTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskDeploymentTable()

      Creates the task deployment table.
      Returns:
        the list of sql commands

    - #### createAuditRecordsTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createAuditRecordsTable()

      Creates the audit records table.
      Returns:
        the list of sql commands

    - #### createStreamDefinitionsTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createStreamDefinitionsTable()

      Creates the stream definitions table.
      Returns:
        the list of sql commands

    - #### createTaskDefinitionsTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskDefinitionsTable()

      Creates the task definitions table.
      Returns:
        the list of sql commands

    - #### createTaskTables

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskTables()

      Creates the task tables.
      Returns:
        the list of sql commands

    - #### createBatchTables

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createBatchTables()

      Creates the batch tables.
      Returns:
        the list of sql commands

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.